Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 198777 - Outdated version of Jersey bundled with NetBeans
Outdated version of Jersey bundled with NetBeans
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: REST
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Denis Anisimov
issues@webservices
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 18:58 UTC by ievans
Modified: 2011-07-25 14:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ievans 2011-05-20 18:58:52 UTC
Product Version = NetBeans IDE 7.0 (Build 201104080000)
Operating System = Windows XP version 5.1 running on x86
Java; VM; Vendor = 1.6.0_24
Runtime = Java HotSpot(TM) Client VM 19.1-b02

NetBeans 7.0 includes Jersey 1.3. The latest version of Jersey is 1.6. GlassFish 3.1 bundles Jersey 1.5.

The Jersey client API includes additional classes in version 1.5/1.6 that we're trying to use in an example application, but we both
a) can't access the new classes in jersey-client.jar through the GlassFish 3.1 server library because the server library doesn't include jersey-client.jar and 
b) can't access the new classes in the Jersey library included in NetBeans
Comment 1 Denis Anisimov 2011-06-16 09:02:37 UTC
Yes, that's right .
Bundled jersey is too old. We need to update it.
Comment 2 Petr Jiricka 2011-06-21 11:57:53 UTC
And now Jersey 1.7 is released.
Comment 3 Denis Anisimov 2011-07-22 05:43:08 UTC
web-main#66cf380c8950
Comment 4 Quality Engineering 2011-07-25 14:08:05 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/66cf380c8950
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#198777 - Outdated version of Jersey bundled with NetBeans


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo